單筆交易詳情
get
Authorizations
X-API-KeystringRequired
Path parameters
hashstringRequiredExample:
tx hash (chain-native 格式)
0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944bblockchainstringRequiredExample:
ethereum / tron / bitcoin.
ethereumResponses
200
查詢成功,回傳該筆交易的完整明細
application/json
400
請求參數有誤,請檢查輸入內容
401
缺少或無效的 API key
502
後端服務暫時無法回應,請稍後重試
get/v1/transaction/{hash}
GET /v1/transaction/{hash} HTTP/1.1
Host: api.blockchainsecurity.asia
X-API-Key: YOUR_API_KEY
Accept: */*
{
"data": {
"data": {
"_token_transfer_addresses": [],
"blockchain": "ethereum",
"internal": [],
"normal": [
{
"amount": "0.00429",
"blockchain": "ethereum",
"fee": 0.00042816,
"from": {
"address": "0xa7d9ddbe1f17865597fbd27ec712455208b6b76d",
"chain": "ethereum"
},
"status": 1,
"symbol": "eth",
"timestamp": 1534159090,
"to": {
"address": "0xf02c1c8e6114b1dbe8937a39260b5b0a374432bb",
"chain": "ethereum"
},
"tokenAddress": "",
"tx_hash": "0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b",
"txn_type": "normal",
"type": "normal",
"value": "0.00429"
}
],
"token": [],
"tx_hash": "0x88df016429689c079f3b2f6ad39fa052532c56795b733da78a91ebe6a713944b"
},
"msg": "",
"success": true
},
"meta": {
"request_id": "bdaec07a-61a5-4456-bc91-59cd95277600"
}
}Last updated
Was this helpful?

